"use strict";
var __importDefault = (this && this.__importDefault) || function (mod) {
    return (mod && mod.__esModule) ? mod : { "default": mod };
};
Object.defineProperty(exports, "__esModule", { value: true });
exports.useIsMounted = void 0;
var react_1 = __importDefault(require("react"));
function useIsMounted() {
    var componentIsMounted = react_1.default.useRef(true);
    react_1.default.useEffect(function () { return function () {
        componentIsMounted.current = false;
    }; }, []);
    return function () { return componentIsMounted.current; };
}
exports.useIsMounted = useIsMounted;
